

(define (popup-print-dialog parent)

  (let* ((dlg (xm-create-message-dialog parent "Print" #f))

	 (frame (xt-create-widget
		 "Print Frame"
		 (xm-frame-widget-class)
		 dlg #f))

	 (rc (xt-create-widget
	      "Print RC"
	      (xm-row-column-widget-class)
	      frame
	      (list
	       (list (xm-n-num-columns) 1)
	       (list (xm-n-packing) (xm-pack-column)))))

	 (lbl (form-label rc "Print Command" #f))

	 (cmd (xt-create-widget
	       "Print Command TF"
	       (xm-text-field-widget-class)
	       rc #f))

;        (guess-b (xt-create-widget
;		   "Guess"
;		   (xm-push-button-widget-class)
;		   rc
;		   #f))

	 )


    (xt-add-callback dlg (xm-n-ok-callback) print-ok (list #f))
    (xt-add-callback dlg (xm-n-cancel-callback) print-cancel (list #f))

    (xm-text-set-string cmd "lpr -Pps")


;    (xt-add-callback guess-b
;		     (xm-n-activate-callback)
;		     print-guess-callback
;		     (list #f))

    ;(xt-manage-child guess-b)
    (xt-manage-child cmd)
    (xt-manage-child lbl)
    (xt-manage-child rc)
    (xt-manage-child frame)
    (xt-manage-child dlg)
    ))


;(define (print-guess-callback widget client-data call-data)
;  (display "guess")
;  (newline))
  

(define (print-ok widget client-data call-data)
  (let* ((com-tf (xt-name-to-widget widget "*Print Command TF"))
	 (com (xm-text-get-string com-tf)))
    (xt-destroy-widget widget)
    (actually-save-ps "/tmp/foog") ; FIX THIS
    (system (string-append com " /tmp/foog"))))


(define (print-cancel widget client-data call-data)
  (xt-destroy-widget widget))
